about summary refs log tree commit diff
path: root/tests/gc-concurrent.builder.sh
diff options
context:
space:
mode:
authorEelco Dolstra <e.dolstra@tudelft.nl>2005-01-28T20·36+0000
committerEelco Dolstra <e.dolstra@tudelft.nl>2005-01-28T20·36+0000
commita7668411a10c79ad40c9c18caf2570d5c9f52182 (patch)
treeeb4ea7eda7ac760e4933aba439bebb08b9ba2a71 /tests/gc-concurrent.builder.sh
parent22cfdfa2460921a282fc924cce5fb26378b9fc9d (diff)
* Add a test to check whether concurrent garbage collection (i.e.,
  running the collector while builds are in progress) works
  correctly.  The test currently fails.

Diffstat (limited to 'tests/gc-concurrent.builder.sh')
-rw-r--r--tests/gc-concurrent.builder.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/tests/gc-concurrent.builder.sh b/tests/gc-concurrent.builder.sh
new file mode 100644
index 000000000000..561c2292e98f
--- /dev/null
+++ b/tests/gc-concurrent.builder.sh
@@ -0,0 +1,9 @@
+export PATH=/bin:/usr/bin:$PATH
+
+mkdir $out
+echo $(cat $input1/foo)$(cat $input2/bar) > $out/foobar
+
+sleep 5
+mkdir $out || true
+
+ln -s $input2 $out/input-2
\ No newline at end of file